ru.bitel.bgbilling.modules.tv.api.common.event

## Class TvAccountCreatedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.tv.api.common.event.TvAccountCreatedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TvAccountCreatedEvent
      extends QueueEvent

  Событие о том, что аккаунт создан и синхронизирован с MW.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TvAccountCreatedEvent()`
    `` | `TvAccountCreatedEvent(int moduleId, int contractId, int deviceId, int tvAccountId, java.lang.String deviceAccountId, short state, java.util.Set<java.lang.Integer> optionSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDeviceAccountId()`
    `int` | `getDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptionIds()`
    `short` | `getDeviceState()`
    `int` | `getTvAccountId()`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvAccountCreatedEvent

          protected TvAccountCreatedEvent()

    - #### TvAccountCreatedEvent

          public TvAccountCreatedEvent(int moduleId,
                                       int contractId,
                                       int deviceId,
                                       int tvAccountId,
                                       java.lang.String deviceAccountId,
                                       short state,
                                       java.util.Set<java.lang.Integer> optionSet)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getTvAccountId

          public int getTvAccountId()

    - #### getDeviceAccountId

          public java.lang.String getDeviceAccountId()

    - #### getDeviceState

          public short getDeviceState()

    - #### getDeviceOptionIds

          public java.util.Set<java.lang.Integer> getDeviceOptionIds()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`